/*
 * Microsoft Application Insights Web Snippet, 1.2.2
 * Copyright (c) Microsoft and contributors. All rights reserved.
 *
 * 
 * 
 *
 * ---------------------------------------------------------------------------
 * This is a single combined (rollup) declaration file for the package,
 * if you require a namespace wrapped version it is also available.
 * - Namespaced version: types/applicationinsights-web-snippet.namespaced.d.ts
 * ---------------------------------------------------------------------------
 */

export declare function getSdkLoaderScript(config: SdkLoaderConfig): string;

declare interface SdkLoaderConfig {
    instrumentationKey?: string;
    connectionString?: string;
    src?: string;
    name?: string;
    ld?: number;
    useXhr?: boolean;
    crossOrigin?: string;
    cfg?: any;
    cr?: boolean;
    dle?: boolean;
    sri?: boolean;
    pl?: boolean;
    pn?: string;
    ttp?: TrustedTypePolicy;
}

declare abstract class TrustedTypePolicy {
    readonly name: string;
    createHTML?: ((input: string, ...args: any[]) => string) | undefined;
    createScript?: ((input: string, ...args: any[]) => string) | undefined;
    createScriptURL?: ((input: string, ...args: any[]) => string) | undefined;
}

export declare const webSnippet = "##replaceIKeySnippet##";

export declare const webSnippetCs = "##replaceConnStringSnippet##";

export declare function webSnippetVersion(): string;

export { }
